summaryrefslogtreecommitdiffstats
path: root/jjb/functest/functest-alpine.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/functest/functest-alpine.sh')
-rwxr-xr-xjjb/functest/functest-alpine.sh100
1 files changed, 94 insertions, 6 deletions
diff --git a/jjb/functest/functest-alpine.sh b/jjb/functest/functest-alpine.sh
index e8d81ea0c..42bf60b0a 100755
--- a/jjb/functest/functest-alpine.sh
+++ b/jjb/functest/functest-alpine.sh
@@ -8,6 +8,7 @@ REPO=${REPO:-opnfv}
CI_LOOP=${CI_LOOP:-daily}
TEST_DB_URL=http://testresults.opnfv.org/test/api/v1/results
ENERGY_RECORDER_API_URL=http://energy.opnfv.fr/resources
+DOCKER_TAG=${DOCKER_TAG:-$([[ ${BRANCH##*/} == "master" ]] && echo "latest" || echo ${BRANCH##*/})}
check_os_deployment() {
FUNCTEST_IMAGE=${REPO}/functest-healthcheck:${DOCKER_TAG}
@@ -42,6 +43,7 @@ run_tiers() {
echo ${ret_value} > ${ret_val_file}
if [ ${tier} == 'healthcheck' ]; then
echo "Healthcheck tier failed. Exiting Functest..."
+ skip_tests=1
break
fi
fi
@@ -87,7 +89,6 @@ FUNCTEST_DIR=/home/opnfv/functest
DEPLOY_TYPE=baremetal
[[ $BUILD_TAG =~ "virtual" ]] && DEPLOY_TYPE=virt
HOST_ARCH=$(uname -m)
-DOCKER_TAG=`[[ ${BRANCH##*/} == "master" ]] && echo "latest" || echo ${BRANCH##*/}`
# Prepare OpenStack credentials volume
rc_file=${HOME}/opnfv-openrc.sh
@@ -131,7 +132,6 @@ envs="-e INSTALLER_TYPE=${INSTALLER_TYPE} -e INSTALLER_IP=${INSTALLER_IP} \
ssh_options="-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
-
if [ "${INSTALLER_TYPE}" == 'fuel' ]; then
COMPUTE_ARCH=$(ssh -l ubuntu ${INSTALLER_IP} -i ${SSH_KEY} ${ssh_options} \
"sudo salt 'cmp*' grains.get cpuarch --out yaml | awk '{print \$2; exit}'")
@@ -154,6 +154,10 @@ if [[ ${INSTALLER_TYPE} == 'compass' && ${DEPLOY_SCENARIO} =~ 'sfc' ]]; then
envs="${envs} -e EXTERNAL_NETWORK=${EXTERNAL_NETWORK}"
fi
+if [[ ${INSTALLER_TYPE} == 'compass' ]] || [[ ${DEPLOY_SCENARIO} == *"odl"* ]]; then
+ envs="${envs} -e SDN_CONTROLLER_RESTCONFPORT=8080"
+fi
+
if [[ ${DEPLOY_SCENARIO} == *"ovs"* ]] || [[ ${DEPLOY_SCENARIO} == *"fdio"* ]]; then
if [[ -n ${IMAGE_PROPERTIES} ]]; then
IMAGE_PROPERTIES="${IMAGE_PROPERTIES},hw_mem_page_size:large"
@@ -167,7 +171,88 @@ if [[ -n ${IMAGE_PROPERTIES} ]] || [[ -n ${FLAVOR_EXTRA_SPECS} ]]; then
envs="${envs} -e IMAGE_PROPERTIES=${IMAGE_PROPERTIES} -e FLAVOR_EXTRA_SPECS=${FLAVOR_EXTRA_SPECS}"
fi
-volumes="${images_vol} ${results_vol} ${sshkey_vol} ${libvirt_vol} ${userconfig_vol} ${rc_file_vol} ${cacert_file_vol}"
+tempest_conf_yaml=$(mktemp)
+case ${INSTALLER_TYPE} in
+apex)
+ cat << EOF > "${tempest_conf_yaml}"
+---
+compute-feature-enabled:
+ shelve: false
+ vnc_console: true
+identity-feature-enabled:
+ api_v2: false
+ api_v2_admin: false
+image-feature-enabled:
+ api_v2: true
+ api_v1: false
+volume:
+ storage_protocol: ceph
+volume-feature-enabled:
+ backup: false
+EOF
+ ;;
+compass)
+ cat << EOF > "${tempest_conf_yaml}"
+---
+compute-feature-enabled:
+ shelve: false
+ vnc_console: false
+ spice_console: true
+identity-feature-enabled:
+ api_v2: false
+ api_v2_admin: false
+image-feature-enabled:
+ api_v2: true
+ api_v1: false
+volume:
+ storage_protocol: ceph
+volume-feature-enabled:
+ backup: false
+EOF
+ ;;
+fuel)
+ cat << EOF > "${tempest_conf_yaml}"
+---
+compute-feature-enabled:
+ shelve: false
+ vnc_console: false
+ spice_console: true
+identity-feature-enabled:
+ api_v2: false
+ api_v2_admin: false
+image-feature-enabled:
+ api_v2: true
+ api_v1: false
+volume:
+ storage_protocol: iSCSI
+volume-feature-enabled:
+ backup: false
+EOF
+ ;;
+*)
+ cat << EOF > "${tempest_conf_yaml}"
+---
+compute-feature-enabled:
+ shelve: false
+ vnc_console: false
+identity-feature-enabled:
+ api_v2: false
+ api_v2_admin: false
+image-feature-enabled:
+ api_v2: true
+ api_v1: false
+volume:
+ storage_protocol: iSCSI
+volume-feature-enabled:
+ backup: false
+EOF
+ ;;
+esac
+echo "tempest_conf.yaml:" && cat "${tempest_conf_yaml}"
+
+volumes="${images_vol} ${results_vol} ${sshkey_vol} ${libvirt_vol} \
+ ${userconfig_vol} ${rc_file_vol} ${cacert_file_vol} \
+ -v ${tempest_conf_yaml}:/usr/lib/python2.7/site-packages/functest/opnfv_tests/openstack/tempest/custom_tests/tempest_conf.yaml"
ret_val_file="${HOME}/opnfv/functest/results/${BRANCH##*/}/return_value"
echo 0 > ${ret_val_file}
@@ -183,6 +268,7 @@ elif [ ${FUNCTEST_MODE} == 'tier' ]; then
run_tiers ${tiers}
else
tests=(tempest_full tempest_scenario)
+ skip_tests=0
if [ ${DEPLOY_TYPE} == 'baremetal' ] && [ "${HOST_ARCH}" != "aarch64" ]; then
if [[ ${BRANCH} == "stable/fraser" ]]; then
tiers=(healthcheck smoke features vnf parser)
@@ -199,7 +285,9 @@ else
fi
fi
run_tiers ${tiers}
- for test in "${tests[@]}"; do
- run_test "$test"
- done
+ if [ ${skip_tests} -eq 0 ]; then
+ for test in "${tests[@]}"; do
+ run_test "$test"
+ done
+ fi
fi